Getting Started

Dr. DivX is an encoding application able to convert popular video formats to the high quality DivX format by following a simple wizard-based flow. Dr. DivX is very simple and intuitive, catering to any new user’s basic requirements while it is powerful enough to allow a professional to use its advanced features like editing, resizing, multiplexing, improving video quality, and freedom for selecting various filters etc. required in a professional environment.

This version of Dr. DivX supports video encoding from the following sources.

· Video Files – Multiple popular video format files, including script files like .avs format.

· Digital Video – Direct input from a Digital MiniDV Camcorder.

· Live Capture – Direct input from a Capture Card.

Read the following chapters for information on Key Features and Setting Up the application.

· Overview

· Setting Up


Overview

Dr. DivX is a encoding utility able to convert popular video formats to the high quality DivX format by following an easy-to-do wizard.

Key features of Dr. DivX are:

· Various input video formats: Dr. DivX encodes multiple popular video formats. It also supports script files such as .avs format files.

· Various audio inputs: Choice to multiplex audio tracks from an external video or .mp3 or .wav audio file with the video file.

· Change video properties: Video properties such as aspect ratio, resize and quality can be modified easily using Dr. DivX.

· Change audio properties: Choice to change the sampling rate (in KHz) and bitrate (in kbps) for selected audio source.

· Apply filter effects: Choice to apply Filters to get the desired visual properties for a video file.

· Batch encoding: Multiple jobs can be encoded using Dr. DivX. All you have to do is set the profile and output filename and Dr. DivX will encode the jobs that are placed in the job queue.

Also Read:

Help for Newbies

Advanced Help for Experts

Batch Encoding


Setting Up

This section describes the hardware and software requirements necessary to install and run Dr. DivX with all its features and functionality, and the procedure for uninstalling Dr. DivX. It also contains details about the various components that are installed during the installation process of Dr. DivX.

· Hardware Requirements

· Software Requirements

· Installing/Uninstalling

· Package Contents


Hardware Requirements

The minimum Hardware configuration to install and run Dr. DivX on a Windows PC is as follows:

· Intel Pentium II 450 or equivalent

· 64MB RAM

· 20GB hard disk space (for installation)

· 8MB video card

· Any standard sound card

· Any standard Fire wire card / port or similar interface for Digital Video input from a Digital MiniDV Camcorder

· Video capture card to capture live video

The Recommended hardware configuration to install and run Dr. DivX on a Windows PC is as follows:

· Pentium III 1GHZ processor or higher

· 128MB RAM or more

· 20 GB Hard Disk Space and higher

· 32MB Video card and higher

· Any standard sound card

· Any standard Fire wire card / port or similar interface for Digital Video input from a Digital MiniDV Camcorder

· Video capture card to capture live video

Related Topics

· Software Requirements

· Installing/Uninstalling

· Package Contents


System Requirements

Software Requirements

The following sections contain details about the Software Requirements necessary to install and run Dr. DivXÔ on your system successfully.

Libraries & Components

· DirectX 8.0 and above.

· AC-3 DirectShow filter (This usually comes with a software DVD player application like WinDVD or PowerDVD)

Operating System

Dr. DivX will run on the following operating systems:

· Windows XP / 2000 / ME / 98SE

Important

Dr. DivX is designed for Microsoft Windows PC, and is not supported by other platforms.

Dr. DivX is not supported by Windows NT Operating System.

Related Topics:

· Hardware Requirements

· Installing/Uninstalling

· Package Contents


Package Contents

When you install Dr. DivX Video Encoding software on your computer, certain components are automatically installed along with Dr.DivX. Some of these components are required by Dr. DivX to function properly while some others are additional resources.

The following are part of Dr. DivX package:

1. Dr. DivX Encoder

2. Dr. DivX Profile Editor

3. Dr. DivX EKG

4. DivX Pro Codec

5. Online Help for Dr.DivX.

6. A detailed User’s Manual for Dr. DivX in PDF format.

7. VirtualDub filters.

8. Dr. DivX default profiles.


Installing / Uninstalling

Installing Dr. DivX

To install Dr. DivX on your computer:

1. Double-click Dr. DivX.exe to start the installation process.

2. Follow the onscreen instructions carefully.

3. If prompted, restart your computer to complete the Install process.

Uninstalling Dr. DivX

To uninstall Dr. DivX from your computer:

1. Close Dr. DivX.

2. Click on the Start menu.

3. Choose Settings > Control Panel.

4. Double-click the Add/Remove Programs button.

5. Select Dr. DivX from the list.

6. Click the Add/Remove button to start the Uninstall process.

7. Follow the on-screen prompts.

8. If prompted, restart your computer to complete the Uninstall process.

Related Topics:

· Hardware Requirements

· Software Requirements

· Package Contents


Help for Newbies

This chapter provides directions for using Dr. DivX. The process has been explained in very easy steps. By following these steps, you do not have to worry about understanding all the settings used for video compression. Dr. DivX will handle all the necessary video encoding settings. All you have to do is select a source that you want to encode, choose an output profile, assign a name for the output file, and leave the rest to Dr. DivX. Dr. DivX will encode the selected source, and will also display the encoding statistics as each frame is getting encoded.

Related topics

· Choose Input

· Selecting Audio Input

· Selecting Output File

· Preview Video

· Encode My Video

· Encoding Statistics


Choose Input

The first step in the encoding process is choosing an input for encoding. The input can be a video file stored in your computer, or it can be a direct input from the videotape in your Digital Video Camcorder or it can be live video stream captured using a capture card. Depending on the video type that you want to encode, you will have to select the respective input type because the selection process is slightly different for each of these input types. The selection process for each input type has been discussed under the respective links.

To choose a video file input to encode:

· Launch Dr. DivX from the program files menu.

· Click the appropriate icon, depending on the input type you are choosing.

· Follow the steps as discussed for each input type separately.

Related topics

· Video File

· Digital Video

· Live Capture


Video File

This chapter describes how to select a video from the files stored in your computer. Dr. DivX supports most of the popular video formats available (Supported formats). You can, however, select only one file for encoding at a time (except .VOB files where multiple files can be selected provided they are parts of a single source in sequential order.)

Please ensure the following before you start the selection process for a Video File Input:

1. There are Video files saved and stored in the hard disk of your computer.

2. The Video files saved in your computer are not corrupted.

3. The Video files are working fine and can be opened using any standard media player.

Related topics

· Selecting Video File

· Selecting Multiple Files

· Choose Input


Opening an Input File

Selecting Video File

You can choose to encode video files such as MPEG files, AVI files, etc. Dr.DivXÔ supports most of the popular video formats available (Supported formats).

Selecting a Video File

To choose a Video File to encode:

· Launch Dr.DivXÔ from the program files menu.

· Click the Video File button from the Choose Video For Input screen.

· Browse to the location where you have stored your video files.

· Select the video file you want to encode and click “Open”.

· The video file is now open.

· You will now have to “Select Audio Input” to continue with the encoding process.

Related topics

· Video File

· Selecting Multiple Files

· Choose Input


Multiple Files (For VOB format)

Selecting Multiple Files (VOB Only)

This option of selecting Multiple VOB files is activated automatically when you are trying to encode VOB files that are split from a single source, and are sequentially numbered. Dr. DivX provides an option for concatenating multiple VOB files of the same video file. You can choose to select the files in the order of your choice, or you can choose to select only a few or all the files in the sequence. The files selected can be arranged or removed according to your requirements.

To select multiple VOB files to generate a single output encoded file:

1. Launch Dr. DivX.

2. Follow the same steps as you do while selecting a video for encoding. (Selecting Video File)

3. Select the VOB file that has to be encoded.

4. A pop up window listing the sequential VOB files will appear as shown in figure. From here, you can add more files to be encoded in the sequence. This will happen only if the file is a VOB file that belongs to a sequence of files originating from a single source.

5. Ideally, the first file in the sequence should be selected. Or, depending upon your requirement, you can choose to select the files of your choice in the sequence to get the desired single output encoded file.

6. All split files belonging to the sequence should be present in the same folder.

7. Remove the files that are not needed by selecting it, and clicking the Remove button.

8. Click OK to continue with the selection process or click Cancel to close the window and return to the previous screen.

Related Topics

Selecting Video File


Digital Video (DV)

This chapter describes how to select a video from the Digital MiniDV Camcorder or DV Deck as input for Dr. DivX. It also explains how to adjust picture quality by modifying the color and contrast of the input video from the Digital Video Camera.

Please ensure the following before you start the selection process for a Digital Video (DV) Input:

1. A working Digital MiniDV Camcorder is connected to your system through the Firewire port.

2. The system recognizes the Digital MiniDV Camcorder.

3. The Digital MiniDV Camcorder contains a MiniDV Cassette / Memory stick with pre-recorded video on it.

4. The MiniDV Cassette / Memory stick in the Digital MiniDV Camcorder is in good condition and working fine.

Related topics

· Opening Digital Video

· Choose Input


Opening Digital Video Input

Opening Digital Video

This chapter explains how a digital video can be selected from the Digital Video Camera directly for encoding. It also explains how to adjust picture quality by modifying the color and contrast of the input video from the Digital Video Camera.

For choosing a video to encode from the Digital video camcorder

· Launch Dr.DivXÔ.

· Click the Digital Video button from the Launch Screen to select a Digital Video input and encode it.

· The Digital Video selection screen will appear as shown in figure.

Adjust Picture / Audio Volume

Control panel

Player Controls, and

Mark In – Mark Out Controls

· Use the Preview Window and Player Controls to view the Digital Video file and to select the portion you want to encode before proceeding

o       Play the Digital Video by clicking the Play button.

o       Click the Mark In button to indicate the starting point from where encoding will begin.

o       Click the Mark Out button to indicate the ending point at which encoding will end.

o       Use the Reset button to reset the Mark In and Mark Out values, and repeat the Mark In and Mark Out process.

Adjust Picture Quality

NOTE: This feature is usable only if the Digital Video Camera you are using supports this feature.

· Use the control panel as shown in figure to adjust brightness, contrast, and color settings of the Digital Video as desired in the output file.

· If not manually adjusted, then the default settings will be taken while encoding the video.

Related topics

· Choose Input

· Digital Video


Live Capture

This chapter describes how to select live video from a video capture device as input for Dr. DivX. It also explains how to adjust picture quality by modifying the color and contrast of the input video from the live video source.

NOTE: The video input here is primarily analog signal. For choosing Digital Video input, read Digital Video.

Please ensure the following before you start the selection process for a Live Capture Video:

1. A working Video Capture card is installed in your computer.

2. A source carrying Live Video is connected to the Capture card.

3. The system recognizes the Capture card.

Related topics

· Opening Live Capture Input

· Video File

· Digital Video

· Choose Input


Opening Live Capture

This chapter explains how to use the input from a Live Capture Card directly for encoding. It also explains how to adjust picture quality by modifying the color and contrast of the input video from the Live Capture Card.

Choose a Live Capture Video for Encoding

For choosing a Live Capture Video for encoding:

· Launch Dr.DivXÔ.

· Click the Live Capture button from the Launch Screen to select a Live Capture Video input and encode it.

· The Live Capture selection screen will appear as shown in figure.

· The preview of the input video can be viewed in the preview window.

· Enter the Capture Time Limit values in Hours and Minutes in their respective fields.

· Click the Next button to proceed with the encoding process.

· Read the next section for details on how to adjust Picture / Audio Quality of the Live Capture Video input.

Adjust Picture Quality

· Use the control panel as shown in figure to adjust brightness, contrast, and color settings of the Live Capture Video as desired in the output file.

· If not manually adjusted, then the default settings will be taken while encoding the video.

Related topics

· Video File

· Digital Video

· Choose Input


Selecting Audio Input

After selecting the video input, you will be prompted to choose an audio input for encoding. The audio can be the existing audio track of the video file, or it can be a .mp3 or .wav file stored on your computer. Or even, you can choose to encode the video without any audio. The selection process for Audio Input is uniform across video inputs.

You can choose the following:

· Select an audio track for encoding

· Remove audio track from encoding

· Preview selected audio track before encoding

After you have selected a video source to be encoded (read Choose Input), you will be promptly taken to the Select Audio Source screen.

Selecting Audio Track

You will have 3 options while selecting an audio track for encoding.

· Encode the video using the existing audio track by clicking the “Track in Video Input“ radio button - If there is more than one audio track you can choose the track from the drop down menu

· or Select an audio track for encoding

o       Click the “Other, select a different audio source“ radio button

o       Click the “Select“ button. A dialog box appears

o       Browse to the location where you have stored audio files (.mp3, .wav) on your system

o       Select the audio you want to encode the video with and click OK.

· or Select “No Audio“ radio button. No audio will be encoded into the output video

Preview Selected Audio Track

You may also preview any selected audio before you proceed with encoding the video by using the Preview Audio Source option. If, after preview, you want to change the audio track you can do so by following the procedure as discussed above.


Selecting Output File

This chapter describes the various options available when choosing the output profile. These options are applicable to the file size only and not to the file format; the output file format will be high quality DivX in AVI format only.

There are various profiles designed to help you reach a specific file size or target quality level. If you choose a lesser quality level or smaller file size for the input file, this could cause a loss in visual quality when the file is encoded.

Choosing Output File Size

You can choose from the following options:

· Specify number of file(s) and file size, OR

· Make file by choosing Quality of file

o       High quality

o       Medium quality

o       Low quality

· Make a file using a Dr.DivX Profile

· Make a file using Personal Profile. This is a saved profile, created either in the profile editor or after modifying the settings from a default profile

NOTE: You may choose to set a profile as the “Default Profile” by selecting that profile and clicking the “Set Default Profile” button. You may not set the X files of Y size profile as the default profile.

Making a Selection for Output File Size

· Launch Dr. DivX

· Select a Video Input (Read Choose Input)

· Select Audio Input (Read Select Audio Input)

· Once you are done, the Choose Output screen appears

· Make a selection of choice for the output file size from the options available

· Click the respective radio buttons to make a choice

· Use the drop down lists to make selections as required

· Click the Next button to finish selecting the output file size and to proceed with the encoding process

Profile Output

Depending upon the selected output profile, approximate output file size will be estimated and the information will be displayed. If you want to make further modifications to these settings, you can do so. Read Advanced Help for further details.

Related Topics

· Advanced Help For Experts

· MP3 audio encoder settings


Encode my Video

Encoding

This chapter describes how to assign a file name to the output file, how to save the current profile in use as a “Custom Profile.” You can also choose to modify the encoding settings from here, or you can also choose to encode the selected video file later and queue it up for Batch Encoding.

To Encode Video

· Launch Dr.DivXÔ

· Select a Video Input (Read Choose Input)

· Select Audio Input (Read Select Audio Input)

· Select an output file size (Read Selecting Output File)

· Once you are done, the Encoding screen appears

· The screen is divided into two parts displaying various details

o       The Input part displays the following details

§ Video selected

§ Audio selected

§ Resolution and Aspect Ratio of input file

§ Length of the input file in Hours and Minutes

o       The Output part displays the following details

§ The filename field and the Select button, on clicking which you can specify a location and name for the encoded output file

§ The profile selected

§ Bitrate of the output file

§ Resolution and Aspect Ratio of the output file

§ Audio output details

§ Length of the output file in Hours and Minutes

§ The “Save Custom Profile” button. Use this button to save the profile as a custom profile

Encode Options

· Click Encode Now to begin encoding the selected video

· Click Encode Later to queue up the selected video under Batch Encoding

· Click Modify Settings to change the advanced settings of the chosen profile before encoding the file

Related Topics

· Advanced Help For Experts

· Batch Encoding


Encoding statistics

The Encoding Statistics screen will display the status of the encoding that is in progress. The information details displayed during the encoding process include:

1. Progress bar, which gives the percentage of file encoded

2. The Bitrate display that indicates the bitrate and frame information for each frame as it is encoded. It can be inferred as follows:

· If the encoding frame information is displayed in a red colored bar, the frame is a Key frame

· If the encoding frame information is displayed in a blue colored bar, the frame is a Delta frame

· The height of the bar indicates the Bit rate of each frame

3. The frame information display that gives details of the encoding status in terms of:

· Time elapsed since encoding began

· Time remaining to complete the encoding

· Frame rate in frames per second

· Current frame, the frame number that is being encoded

After the successful completion of encoding, the Report screen appears. The encoded file can be played directly from here by clicking the “Play the encoded file” button or if a two pass encoding was done, you can modify the video further by using the EKG. To begin a new encoding job, click the Next button to return to the Launch screen to select a new video for encoding.


Advanced Help

This chapter is for the more advanced users of Dr. DivX who are familiar with the application and with the settings of the DivX codec. It is advised that if you are not completely sure of these settings, you can follow the encoding procedure as discussed under Help For Newbies section.

If you are an advanced user, familiar with the techniques and processes of advanced video encoding, then you can use these settings to derive results as per your liking. In the Advanced Section, you will be able to change the Basic Settings like Aspect Ratio, Audio settings, Crop, etc; Advanced Settings like Bit rate, Variable Bit rate mode, MPEG4 Tools etc, and you will be able to apply filter effects to the video file that you are encoding.

Related topics

· Modifying Basic Settings

· Modifying Advanced Settings

· Filter Effects


Modifying Basic Settings

By modifying the basic settings, you will be able to change the video properties by cropping, resizing, changing the aspect ratio etc. You can also change the MP3 settings such as bit rate and sampling rate. All these settings will have a direct impact on the quality of the video file. Based on the settings you choose, the quality can improve or decline.

This chapter contains the following topics that discuss in detail each setting and their adjustment.

· Cropping Video

· Modifying Aspect Ratio

· Resize Video

· Changing MP3 settings

· Preview Video

Related topics

· Modifying Basic Settings

· Modifying Advanced Settings

· Filter Effects


Cropping the Video

Cropping Video

Cropping allows you to cut away portions of the video file area from the sides. When you crop a video file, you will be losing the cropped area and only the remaining area of the video file will be encoded. The crop option can be used by clicking the Modify Settings button before you begin to encode a video file. Cropping is different from resize, which keeps the entire picture intact, and only changes the resolution of the video.

To crop the selected video file:

· Launch Dr. DivX

· Select the input video file (Read Choose Input)

· Click Modify Settings button on the Encode Video screen

· The Modify Settings screen will appear

· On this screen, use the Crop option to crop the selected video

Crop option

· Use the 4 fields indicating the 4 sides of the Video file to enter a value.

o       In the Top box, specify the offset that has to be removed from the top boundary.

o       In the Left box, specify the offset that has to be removed from the left boundary.

o       In the Bottom box, specify the offset that has to be removed from the bottom boundary.

o       In the Right box, specify the offset that has to be removed from the right boundary.

-OR-

· Select Remove black bars check box to remove the black bars from the file.

Text Box: Note: You can click the Reset button to set the Top, Left, Bottom and Right values to their defaults. For VOB files, the black bars will be removed by default.

· Click Encode button to encode the video.

Related Topics

· Choose Input

· Preview Video

· Modifying Aspect Ratio

· Resize Video

· Changing MP3 settings


Changing Aspect Ratio

Modifying Aspect Ratio

Aspect Ratio of a video file is the ratio between the width and height of a video file. The Aspect Ratio plays a vital role in the quality of the video file during playback. You can change the Aspect Ratio of a video file before encoding. Dr. DivX will auto-detect the aspect ratio of the input video source.

To change the Aspect Ratio of a selected Video File:

· Launch Dr. DivX

· Select the input video file (Read Choose Input)

· Click Modify Settings button on the Encode Video screen

· The Modify Settings screen will appear

· On this screen, use the Aspect Ratio option to change the aspect ratio of the output file

· Click the radio button corresponding to the aspect ratio value of choice

· You can click the Encode button to continue encoding the selected video file after making the desired changes

Aspect Ratio Option

Related Topics

· Choose Input

· Cropping Video

· Resize Video

· Changing MP3 settings

· Preview Video

· Add Filter


Resize video input

Resize Video

Dr. DivX allows you to resize video before encoding to a DivX video file.

To resize the video file:

· Launch Dr. DivX

· Select the input video file (Read Choose Input)

· Click Modify Settings button on the Encode Video screen

· The Basic Settings screen will appear

· On this screen, use the Resize option to crop the selected video

· Use the slider to set the Resize parameter

· Click Encode to begin encoding the file

Resize option

Text Box: Note: You can also choose the Resize Filter to resize your video file. See Resize Filter Option under Modifying Advanced Settings section

Related topics

· Choose Input

· Preview Video

· Modifying Aspect Ratio

· Changing MP3 settings

· Resize Filters

· Modifying Advanced Settings


MP3 audio encoder settings

MP3 Settings

Changing Audio settings is another option you can adjust when you are encoding a video file. Based on the settings you choose, the audio quality will vary. Do not modify these settings if you are unsure of the correct settings.

To modify MP3 Settings of the selected video file:

· Launch Dr. DivX

· Select the input video file (Read Choose Input)

· Click Modify Settings button on the Encode Video screen

· The Modify Settings screen will appear

· On this screen, use the MP3 Audio Settings option to change the audio settings

· Change the Audio Bitrate by selecting a value from the dropdown box

· Change the Sampling Rate by selecting a value from the dropdown box

· Check the radio button to select for Mono or Stereo output

· Click the Encode button to continue encoding the selected video file after making the desired changes

MP3 Audio Settings

Note: The changes you make in the MP3 Audio Settings will determine the quality and the file size of the audio track in the final output. The size of the final output video file is affected by these changes.

Related Topics

· Choose Input

· Cropping Video

· Resize Video

· Preview Video

· Modifying Aspect Ratio


Add Filters

Filters Effects

Various filter effects can be applied to the output video by using the Add Filter feature. External filtering effects like changing the brightness, half toning, logos, luminance band can be applied to the output video file.

Note: Dr. DivX does not come with built-in filters but can use third-party filters like those used with VirtualDub. These filters have to be downloaded from an internet source that supplies these filters. The URL from where you can download some of these filters is: http://shelob.mordor.net/dgraft/

To add filter effects:

· Select the input video file (Read Choose Input).

· Click Next button to navigate to the Encode Video screen

· Click Modify setting button, which will take you to the Modify Setting screen.

· Click Add Filters button from this screen

· The Add Filters screen will open as shown in the figure

Add and Apply Filters

1. Click the Add button on the Add Filter screen. A pop up list displaying available filters will appear as shown

2. Select the filter you wish to add and click OK.

3. Use the Configure button to configure the filter effect

4. Click Apply to apply the filter to the video file. You can view the preview in the preview window above the Filters window.

5. Similarly, you can repeat the above steps to add more than one filter to a video file.

6. You can use the Move Up and Move Down buttons to change the sequence in which the filter effects are applied to the video while encoding (if more than one filter is applied)

7. Use the Delete button to delete any previously selected filter if desired

8. After applying the Filter/s, click the Next button to continue with the encoding process

Related Topics

· Choose Input

· Modifying Basic Settings

· Modifying Advanced Settings


Modifying Advanced Settings

If you are an advanced user, familiar with the techniques and processes of advanced video encoding, then you can use these settings to achieve results as per your liking. All these settings will have a direct impact on the quality of the video file. Based on the settings you choose, the quality of the output file can improve or deteriorate. By choosing to modify the advanced settings, you will be modifying the DivX encoder settings, which can be customized as per your choice.

To modify advanced settings

· Launch Dr. DivX.

· Select a video file for encoding (Read Choose Input)

· On the Encode Video screen, click Modify Settings button. The basic settings screen appears.

· On this screen, click the Advanced Settings button.

· The Advanced Settings screen appears as shown in figure

From this screen, you will be able to adjust / modify the following advanced settings:

· Variable Bitrate Mode

· MPEG4 Tools

· Resize Filter

· Deinterlacing

· Pre-Processing

· Psychovisual Enhancements

· Key Frame Intervals

· Scene Change Threshold


Bit Rate

Advanced users can choose to select the desired bit rate by which they want the input video encoded. Modifying or selecting a Bit rate will affect the quality and size of the output video. You can choose from one of the four different Bit rate modes available. Please note that the Variable Bit rate modes are applicable only to the Video Stream and not to the audio stream in the final output file. The Audio Bit rate can be modified by adjusting the MP3 Settings.

To select / modify bit rate settings:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Select the bit rate mode from the following options using the dropdown list

o       1-Pass Variable Bit rate Mode – Focus on file size. Quality is dependant on Bit rate

o       1-Pass Quality Based Mode – Focus on quality. Constant quality will be applied to each frame

o       2-Pass (Variable Bit rate Mode) – Encoding is done using 2 passes, where during the 1st pass the source video is analyzed to gather vital information which is used by the encoder to perform better compression during the 2nd pass

o       Nth-Pass (Expert) – Focus on quality and estimated file size. Best quality and best control over Bit rate allocation. 2-Pass encoding with better control over fine tuning the output video using log files generated.

· Enter a value for bit rate in the bit rate field provided. The quality and the file size is directly proportional to the bit rate value; higher the bit rate, higher the quality and file size. (When you choose a file size in the Choose Output screen, the bit rate is assigned automatically by Dr. DivX. Nevertheless, you can still choose to change this value based on your choice. If you change this, the output file size will also change accordingly)

Bit rate Settings

Related Topics

· MPEG4 Tools

· Resize Filter

· Deinterlacing

· Pre-Processing

· Psychovisual Enhancements

· Key Frame Intervals

· Scene Change Threshold


MPEG-4 Tools

Advanced users can choose to select the MPEG4 Tools during the encoding process. Dr. DivX allows you to choose one or all the three available MPEG4 tools. The MPEG4 tools are used to enhance the quality of the encoded video. Each MPEG4 tool has its own property and will give a different quality effect to the output video.

To select MPEG4 tools:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Select the MPEG4 tool/s by checking the respective check boxes from the following options available:

o       B-frames/Bi-directional encoding – Using B-frames reduces the amount of data needed to code a frame and improves quality more specifically in areas where moving objects reveal hidden areas

o       Global Motion Compensation – Global Motion Compensation (GMC) helps to improve complex scenes where zooming and panning are present. The ability to reduce the required data from one frame to the next can be reduced since there is a commonality within panning and zooming that can be used to more efficiently compensate for what is more normally a group of blocks in such scenes

o       Quarter Pixel – This option will allow the motions of objects in images to be reproduced more realistically. Quarter Pel performs a specific filtering on each block to produce a virtual block that should represent how the original block should appear if it is moved a ¼ of a pixel unit

· Based on your requirement, you can check one or all of these options to enhance the quality of your output video

MPEG4 Tools

Text Box: Note: Enabling one or more of the MPEG4 tools may cause the output file not to play on hardware devices that are not capable of decoding the MPEG4 advanced simple profile.

Related Topics

· Variable Bitrate Mode

· Resize Filter

· Deinterlacing

· Pre-Processing

· Psyshovisual Enhancements

· Key Frame Intervals

· Scene Change Threshold


Resize Filter

Advanced users can choose to resize the selected video prior to encoding. Dr.DivXÔ allows you to choose a Resize filter among the four different algorithms. Resize allows content to be encoded at a specified resolution. Depending upon the target application and environment the content can be appropriately encoded by modifying the DivX encoder settings. You are free to preserve the input resolution in the final output or you can change the resolution for applications that might require much smaller resolution and bitrate, such as video conferencing or browser-based videos.

To select / modify bitrate settings:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Select the Resize filter from the following options by clicking the respective radio buttons

o       Bilinear (Very Soft) – Good quality, with soft finish, while enlarging the resolution of the output file

o       Bicubic (Soft) - Good quality, with soft finish, while reducing the resolution of the output file

o       Bicubic (Neutral) - Good quality, with neutral finish, while reducing the resolution of the output file

o       Bicubic (Sharp) - Good quality, with sharp finish, while reducing the resolution of the output file

Resize Filters

Related Topics

· MPEG4 Tools

· Bitrate

· Deinterlacing

· Pre-Processing

· Psychovisual Enhancements

· Key Frame Intervals

· Scene Change Threshold


The DivX™ codec has four main options for de-interlacing and IVTC:

De-Interlacing

Advanced users can choose the frame mode of their output file. Dr. DivX allows you to choose how you want your output file to be; either progressive or interlaced. Interlacing is most commonly found on material intended for TV broadcast, or material created by consumer camcorders. If interlaced video is viewed on a PC, because half the frame's lines are captured a fraction of a second later than the other half, fast-moving objects may appear jagged. The preferred format for PC playback is to have a "progressive" output video.

To modify settings:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Select the interlacing mode from the following options by clicking the respective radio button

o       Output progressive – Use this option to make the output video progressive.

o       Output interlaced – Use this option to make the output video interlaced (input must be interlaced to use this option).

Output options

Text Box: Note: For more information about de-interlacing, please see the DivX.com support section and their How-To Guides.

Related Topics

· Variable Bitrate Mode

· MPEG4 Tools

· Resize Filter

· Pre-Processing

· Psychovisual Enhancements

· Key Frame Intervals

· Scene Change Threshold


Pre-Processing

Advanced users can choose to use the Pre-Processing option prior to encoding. Dr.DivXÔ allows you to choose from four Pre-Processing levels. The Pre-Processing filter uses digital signal processing techniques to remove the noise from the source material prior to encoding.

To select a Pre-Processing option:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Select the Pre-Processing option from the following options using the slider

· As you move the slider, the Pre-Processing mode selected will be displayed alongside the button bar

o       Light – Slightly removes noise from the source material, improves quality

o       Normal – No visual degradation of the source material, improves quality

o       Strong – Slight wash out of the source material, slightly deteriorates quality

o       Extreme – Greater wash out of the source material, considerably deteriorates quality

Pre-Processing
Text Box: Note: "Strong" and "Extreme" settings will wash the source a little and it should only be used when input source is extremely noisy or when file size is more important than quality.

Related Topics

· Variable Bitrate Mode

· MPEG4 Tools

· Resize Filter

· Deinterlacing

· Psychovisual Enhancements

· Key Frame Intervals

· Scene Change Threshold


Psychovisual Enhancements

Advanced users can choose to use Psychovisual modeling to improve the quality of the output video. Psychovisual Enhancement is based on the theory that the Human Visual System (HVS) is capable of perceiving certain characteristics in an image, and incapable of perceiving certain other characteristics in an image; particularly when the images are moving at a speed of 30 frames per second. Psychovisual Enhancement technique efficiently reallocates more video data to the location where the HVS perception is more. The Psychovisual enhancements are applied to both a frame and macro block basis. The end result leads to better video quality as perceived by the HVS.

To select Psychovisual Enhancement option:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Check the Psychovisual Enhancement check box to select this feature.

· Use the slider to select the intensity of the feature from the following options.

o       Light

o       Normal

o       Strong

Related Topics

· Variable Bitrate Mode

· MPEG4 Tools

· Resize Filter

· Deinterlacing

· Pre-Processing

· Key Frame Intervals

· Scene Change Threshold


Keyframe

Keyframe Intervals

Advanced users can choose to inset keyframes at desired intervals in the event the intervals between scene changes are very long. The DivX encoder will automatically insert a keyframe every time it detects a scene change. However, it is possible to insert keyframes if there is a long interval before a scene changes. In Dr. DivX, you can specify the interval at which the keyframe (I frame) needs to be inserted. As mentioned, if the intervals between scene changes are long, Dr. DivX will try to insert the keyframe at the intervals specified. Reducing the keyframe interval can also improve delays and the quality of streaming content.

To modify keyframe settings:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Enter a value to indicate the interval at which a keyframe has to be inserted

· This value will be used only if the interval between scene changes exceeds the value specified. If the scene changes earlier than the specified frames, then the encoder will insert a keyframe regardless of the value specified

Keyframe Settings

Related Topics

· Variable Bitrate Mode

· MPEG4 Tools

· Resize Filter

· Deinterlacing

· Pre-Processing

· Psychovisual Enhancements

· Scene Change Threshold


Scene Change Threshold

Advanced users can choose to select the Scene Change Threshold prior to the encoding process. The Scene Change Threshold will determine the interval at which the encoder will insert a keyframe indicating a change in the scene. Dr. DivX provides an option to manually change these settings based on requirement.

Note: If you are not familiar with the concept of keyframes, please do not make any changes in the settings. The encoder will automatically determine the proper value.

To select Scene Change Threshold settings:

· Select a video file for encoding (Read Choose Input)

· Navigate to advanced settings screen (Read Modifying Advanced Settings)

· Use the slider to change the Scene Change Threshold settings. This is indicated in percentage adjacent to the slider

Scene Change Threshold

Related Topics

· Variable Bitrate Mode

· MPEG4 Tools

· Resize Filter

· Deinterlacing

· Pre-Processing

· Psychovisual Enhancements

· Key Frame Intervals


Batch Encoding

Batch encoding enables you to queue up multiple jobs and encode numerous files in succession instead of encoding each file separately. You can create a job list, which includes the input file, the output file and the profile settings for each job. There is no limit on the number of jobs that you can include in a job list, and thus is very convenient for encoding large number of files with minimum efforts. Batch Encoding lets you set global encoding parameters for numerous files through a common profile file, as well as, parameters specific to a video file through a custom profile file. It keeps track of important file information including bit rate, Resize filters, Deinterlace and other such settings that might be chosen by you. It is also very easy to add a new job or to delete a job from the queue, to change the priority of the job in the queue or to defer the encoding for a specific file.

The following section explains in detail the Batch Encoding process.

· Managing Batch Encoding


Manage Encoding Jobs

In the process of selecting a video for encoding, when you choose the option of Encode Later from the Encode Video screen, you will be promptly taken to the Batch Encoding screen. You can add as many encoding jobs as you like to a Batch, and you can delete any existing job from the queue. If a valid entry is already present in a job list when you start Dr. DivX, the Batch encoding button at the lower left corner of the application window will be enabled.

Modify the job queue

1. To delete a job from the list, click the Delete button after selecting the job you want to delete.

2. To postpone a job, press the Postpone button. The job status will be made Postponed and will remain in that status till you change it.

3. To demote a job, click the Demote button. The job, which is demoted, will be pushed down by one step.

4. To promote a job, click the Promote button. The selected job will be promoted by one step.

5. During encoding the statistics are also displayed along with bar graphs. (Read Encoding Statistics)

Start the batch encoding

To start batch encoding, click the Start button. Encoding will begin starting with the first file in the job list. The encoding will continue sequentially and carry on until there are no more files to be encoded or if stopped in between. You will be able to monitor the encoding status of each job in the status window, where details of the file being encoded, and the current status of the file will be displayed.

Related Topics

· Opening Input File

· Selecting output files

· Modifying Profile Settings


Dr. DivX Profile Editor

Dr. DivX Profile Editor is an useful utility that is installed during the installation of Dr.DivX. If you are an advanced user, familiar with the techniques and processes of advanced video encoding, then with the help of Dr. DivX Profile Editor you can create, modify and save profiles, and use them to encode your video. Please remember that the settings in a profile will have a direct impact on the quality of the video file, and the quality of the output file can improve or deteriorate accordingly.

Features

Using Dr. DivX Profile Editor, you can adjust or modify properties like Bitrate and Sampling Rate of the MP3 file, Variable Bitrate, Frame Rate, File Size, Resize Filters, Interlacing / De-interlacing, Keyframe Interval, and Psyschovisual Enhancement of the video file selected, and save the changes as a profile file that can be used as and when required to encode video.

Launch Dr. DivX Profile Editor

To launch Dr. DivXProfile Editor,

· Click Start > Programs

· Then click Dr. DivX Profile Editor as shown in figure

· The Dr. DivX Profile Editor window will open. You can now make changes to the profile according to your requirement

Related topics

· Create a Profile

· Modify Existing Profile


Create a Profile

Advanced users can choose to create a profile using the Dr. DivX Profile Editor. This profile comprises various parameters required during the encoding process. This profile can be saved and used to encode video as and when required.

To create a new profile,

· Launch Dr. DivX Profile Editor (Read Dr. DivX Profile Editor)

· In the Profile Editor window, click File > New

· Make the necessary selections and settings according to your choice / requirement. ( All the different parameters have been discussed in detail under the Modifying Advanced Settings section of help. Please read Modifying Advanced Settings for details about modifying each parameter)

· After you are done, click File > Save or File > Save As to save the settings as a profile file

· Click File > Exit to exit from Dr. DivX Profile Editor, or click File > New to create a new profile.

Saving a profile file

After making the necessary settings in the Profile Editor, you can click File > Save or Save As to save the changes as a profile file. You can assign a file name and a location where you want to save the profile file. The profile file will be saved as a ‘.dip’ file. This file can be used as a profile file to encode a video using the Dr. DivX Encoder. This file can be modified using the Dr. DivX Profile Editor as desired.

Related Topics

· Dr. DivX Profile Editor

· Modify Existing Profile


Modifying Existing Profile

Advanced users can modify an existing saved profile using the Dr. DivX Profile Editor. This profile can be saved after modifications and used to encode video as and when required.

To modify an existing profile,

· Launch Dr. DivX Profile Editor (Read Dr. DivX Profile Editor)

· In the Profile Editor window, click File > Open. A dialog window will pop up

· Navigate to the location where you have saved your profile files. Select the profile file (.dip file) from the browser window. The profile file is now open for modifications

· Make modifications according to your choice / requirement. (All the different parameters have been discussed in detail under the Modifying Advanced Settings section of help. Please read Modifying Advanced Settings for details about modifying each parameter)

· After you are done, click File > Save to save the modifications to the profile file (Read Create a Profile)

· Or click File > Save As to save the modified as a new file by assigning it a new name and specifying a location

· Click File > Exit to exit from Dr. DivX Profile Editor, or click File > New to create a new profile or click File > Open to modify an existing profile file

Related Topics

· Dr. DivX Profile Editor

· Create a Profile


Dr. DivX EKG (electrokompressiongraph)

Dr. DivX EKG is an useful utility that is installed as a package during the installation of Dr. DivX. With the help of Dr. DivX EKG you can fine-tune the quality of the final output video by analyzing each frame and adjusting the quality of each frame of the source video.

Features

A log file generated by the EKG will contain details of each frame, and helps you make fine adjustments to each frame based on your requirements. It also allows you to preview the video, while you make the fine adjustments, enabling a precision job. You can choose to enhance or compromise on quality at various sections of the video, according to your liking or requirement to derive desired results.

Launch Dr. DivX EKG

The Dr. DivX EKG will be automatically activated if you select the “nth Pass (Expert)” variable bitrate mode from the “Modify Advanced Settings” screen.

· Launch Dr. DivX

· Select a video file for encoding (Read Choose Input)

· Navigate to the Modify Advanced Settings screen

· Select nth-Pass (Expert) Variable Bitrate Mode from this screen

· Proceed with the encoding process (Read Encoding)

· Dr. DivX will begin the encoding process and will prompt you to either preview the video or open the EKG after the 1-pass analysis is complete

· Click the EKG icon to open the EKG

· Using Dr. DivX EKG you can fine tune your final output video by adjusting the levels of each frame

Related topics

· EKG Features

· EKG Visualization


EKG Features

Dr. DivX EKG is an useful utility that is installed as a package during the installation of Dr. DivX. Using Dr. DivX EKG you can fine tune the quality of the final output video by analyzing each frame and adjusting the quality of each frame of the source video.

Features

The EKG has built-in features that will enable you to fine tune your output video to get the desired output. Using EKG, you will be able to

· Adjust the ‘Modulation’ level of each frame in the video

· Adjust the ‘Modulation’ level for a section of the video

· Adjust the ‘Modulation’ level for the entire video

Related topics

· EKG

· Editing Using EKG

· EKG Visualization


Editing Using EKG

Using the EKG

· Select the Edit icon from the Menubar.

· After deciding which frames or sequence of frames you like to modify, use your mouse pointer to select a frame or a sequence of frames.

· To select multiple frames or a sequence of frames, hold down the Shift button. Once selected, the frames will turn light blue in color, and you will see a thick blue horizontal line representing the modulation parameter.

· Increase or decrease the quality for the selected frame(s) by moving the Modulation Parameter.

· After changing the Modulation Parameter, the horizontal thin beige line will represent your new Modulation Parameter

· Once satisfied with your changes, go to EKG Menu, and select File > Save and encode. This will put the saved job in the Batch Encode area ready to be encoded.

· To start the job, click Batch Encoding in Dr.DivX, and follow the process as described for Batch Encoding.

Related topics

· EKG

· EKG Features

· EKG Visualization


EKG Visualization

Dr. DivX EKG offers different visualization options to make the interface more intuitive and interesting. Depending on your choice, you can choose your own mode of visualization of EKG.

Visualization Features

The Dr. DivX EKG visualization feature is purely limited to the Editing Window. Based on the visualization options that you select, the Editing Window will be displayed. You can choose your visualization options by clicking the Graph button from the top menu bar of the DRM screen.

Note: Each visualization option may have sub-option/s that can be chosen as per requirement.

Related topics

· EKG

· EKG Features


Glossary

A – C

D – H

I – O

P – Z


Glossary

Glossary (A - C)

3:2 Pulldown

The converting of 24 fps film to 30 fps video wherein every other frame of film is held for 3 fields of video. The resulting video has a repeating sequence of 3 fields followed by 2 fields.

AC3

Also known as Dolby Digital, it’s a digital audio format from Dolby Labs™. It can support up to 5.1 channels of audio.

ASF

Advanced Streaming Format: Microsoft\'s answer to Real Media and streaming media generally.

AVI

Audio Video Interleave: The video format most commonly used on Windows PCs. It defines how video and audio are attached to each other, without specifying a codec.

B-frames/Bi-directional Encoding

There are three types of frames that are possible within a DivX video stream. These frames are called "I-frames" (Intra), "P-frames" (Predicted) and "B-frames" (Bi-directional). Prior to DivX 5.0 the only frame types were I and P. I-frames are encoded only using information from within its own frame. It does not use any information from other frames (temporal compression). An I-frame is similar in concept to encoding a single frame using JPEG. P-frames (Predicted) are forward predicted and may refer to either an I-frame or P-frame. They are encoded from the frame that precedes it. In any video sequence a group of frames will have many of the same images. For example, if you were to watch a news anchorperson you'll notice they barely move and the background would stay almost identical for every frame. (Remember that there are commonly up to 30 frames in a single second). So instead of encoding each one of those 30 frames independently as you would in an image file such as a JPEG you can exploit the redundancy of each frame by the use of P-frames. Essentially a P-frame is a future frame that determines where a block in the previous frame has moved to in it's current P-frame. So instead of spatially encoding (JPEG) the frame the P-frame just says "Hey the block in the previous frame has moved to location (X,Y) which requires much less data then encoding each frame spatially. Essentially we transmit the difference between frames which is more efficient than transmitting the original I-frame. DivX Pro 5.0 introduces the ability to also use "B-frames". B-frames allow the DivX codec to predict frames from the future, choosing the best prediction match among 2 prediction frames instead of only one. B-frames are not only codec by using forward predicted frames but also from backward predicted frames which can be an I or P frame. Using B-frames reduces the amount of data needed to code a frame and improves quality more specifically in areas where moving objects reveal hidden areas.

Bitrate

In a bit stream, the number of bits occurring per unit time, usually expressed in bits per second.

Brightness (1)

The intensity of a color as determined on a scale from black (no brightness) to white (maximum brightness).

CBR/VBR

Constant Bitrate / Variable Bitrate. Constant bitrate gives equal bits to each frame of a movie. Variable Bitrate gauges which frames need more bits to maintain a better image. Note: high motion scenes require more bits than low motions scenes.

Codec

COder/DECoder: A codec is a piece of software that lets you encode something - usually audio or video - to a specific format, and can decode media encoded in this specific format again. Popular Codecs: MPEG-1, MPEG-2, MPEG-4, Indeo, etc. AVI, ASF, etc, is not a codec but a format - and can be encoded using different codecs.

Composite Video

A signal in which the luminance, chrominance, and sync information are combined into one signal using one of the coding standards


Glossary

Glossary (D - H)

De-blocking

The filter operates along the 8x8 block edges, on both the luminance and chrominance color planes. It helps to reduce the blocking artifacts caused by the DCT spatial compression algorithm used by the codec. Blocking is the most noticeable artifact, so this is the first algorithm to be applied.

De-ringing

The de-ringing filter is used to eliminate noise near sharp edges caused by the quantization process (the so-called Gibbs effect). The noise is more noticeable in animations, where there are higher frequency coefficients. The deranging on the luminance plane is activated at post-processing level 6. Due to high CPU requirements and relatively low impact of the filter, it is only turned on for Pentium-III or newer processors.

Decoding

Decoding refers to the process of converting a compressed file to a viewable image.

Deinterlace

To remove artifacts that result from the nature of two-fields-per-frame (interlaced) video.

Demultiplexing

The opposite of multiplexing. In this process, a combined audio/video stream will be separated into the number of streams it consists of (a video stream, at least one audio stream, and a navigational stream). Every VOB encoder demultiplexes the VOB files before encoding (FlasKMPEG, MPEG-2avi, DVD2MPG, ReMPEG-2) and every DVD player does the same (audio and video are being treated by different circuits, or decoded by different filters on a PC).

Digital Video

Digital video is usually compressed because it takes Terabytes (thousands of Gigabytes or for the mathematicians among you: 1012 Bytes) to store an uncompressed movie. Because standard lossless compression is insufficient for video, the video codecs have to get rid of irrelevant information - stuff the human eye won't see or is unlikely to see. Since that is still not enough modern compression, algorithms use keyframes and I and P frames to save space.

DirectX

DirectX is an application program interface developed by Microsoft, first for Windows 95, for creating and managing graphic images and multimedia effects in applications such as games and active Web pages. It includes the Direct-Draw API for direct access to video memory.

DivX

DivX is a video technology that compresses digital video so it can be downloaded over DSL or cable modems in a relatively short time with no reduced visual quality.

Encoding

The process of taking a raw uncompressed file and compressing it to an encoded form while maintaining the quality.

FilmFX

The film fx post-processing algorithm adds warmth to video for those who like the warmth behind film versus the crispness of digital video. The FilmFx filter is great at not only adding warmth to video but reducing perceived "blocking" in digital video and very little cpu overhead for decoding.

Frame

The basic source of a movie; one frame represents one image. A movie usually runs at 24 frames per second, equaling 24 different images per second. Imagine 24 images with a bird on it. In the first image, the bird is on the left, gradually moving to the right. On the 24th frame the bird is on the right end of the image. When these 24 images are played in sequence fast enough, the human eye sees a bird flying from left to right.

Frameserving

Frameserving is using one utility to decode or read a video file and after it has been decoded, sending it straight to any other video editing or encoding application.

Global Motion Compensation

Global Motion Compensation (GMC) helps to improve complex scenes where zooming and panning are present. The ability to reduce the required data from one frame to the next can be reduced since there is a commonality within panning and zooming scenes that can be used to more efficiently compensate for what is more normally a group of blocks in such scenes.

Hue

Hue is the overall gradation of color.


Glossary

Glossary (I - O)

I and P Frames

Frame describing only the differences to the frame before (this is less than accurate but I think you'll get the picture that way). Say we have a keyframe with a bird before a cloudy sky. Then we can use I frames which say something like this: Move the bird an inch to the left and one inch to the bottom.

Inverse Telecine

The inverse of Telecine. This process is performed to extract the original 24fps of a 29.97fps source.

Keyframe

A complete frame but heavily compressed.

Letterbox

The aspect ratio of motion pictures is wider than those of standard televisions. To preserve the original aspect ratio of a motion picture, a motion picture includes black bars at the top and bottom of the screen when played on television.

Mark In

To select the first frame of a clip.

Mark Out

To select the last frame of a clip.

MP3

MP3 (MPEG-1 Audio Layer-3) is a standard technology and format for compression a sound sequence into a very small file (about one-twelfth the size of the original file) while preserving the original level of sound quality when it is played. MP3 technology uses psycho-acoustic modeling to reduce the file size of an audio file while retaining the highest level of quality.

MPEG

MPEG means Motion Picture Expert Group and it's THE resource for video formats in general. This group defines standards in digital video, among it the MPEG-1 standard (used in Video CDs), the MPEG-2 standard (used on DVDs and SVCDs), the MPEG-4 standard (used in DivX video technology) and several audio standards – among them MP3 and AAC.

MPEG-4

MPEG-4 is a standard defined by the Working Group 11 (Moving Picture Expert Group) of ISO (International Standard Organization) in October 1998 (date of the first draft of the standard). It is the standard for the mature digital era. With its added features, MPEG-4 offers better compression, interactivity, and universal Internet/wireless access to the medium.

Multipass encoding

True multipass encoding is currently available only for WM8 and MPEG-2 (SVCD & miniDVD). An encoder supporting multipass will, in a first pass, analyze the video stream to be encoded and write down a log about everything it encounters. Let's assume we have a short clip that starts out in a dialog scene where we have few cuts and the camera remains static. Then it leads over to a karate fight with lots of fast cuts and a lot of action (people flying through the air, kicking, punching, etc.). In regular CBR, encoding every second gets more or less bitrate (it's hard to stay 100% CBR but that's a detail) whereas in multipass VBR mode the encoder will use the bitrate according to his knowledge about the video stream, i.e. the dialog part gets the available bitrate and the fighting scene gets allotted more bitrate. The more passes, the more refined the bitrate distribution will be. In single pass VBR, the encoder has to base his decisions on where to use how much bitrate solely on the knowledge of the stuff it previously has encoded.

Multiplexing

Video and audio are usually encoded separately. You have to join them to make a movie you can play (you can play audio and video separately in two players but to get synch would be rather hard). During multiplexing, the audio and video tracks are combined into one audio/video stream. The audio and video stream will be woven together and navigational information will be added so that the player can, for example fast forward/backward and still retain synch audio/video.


Glossary

Glossary (P - Z)

PCM

Pulse Code Modulation is the most simple binary representation for digital audio. The audio signal is converted in samples according to the frequency of the signal. Every sample is then written in the stream without using any smart compression techniques.

Quarter Pel

As explained in the "B-frames" summary, data is reduced when the difference between two frames (prediction error) is transmitted instead of the entire image being sent. The difference in a successive frames composition is generally computed on a macroblock-by-macroblock basis (16x16 pels) or on a block-by-block basis (8x8 pels). For example, a part of an image located in a block at grid location (1,1) may move to grid location (1,2) in the next frame. As you may realize an image in one block will likely need more accuracy than just the ability to move on a limited block-by-block basis with an accuracy that is limited to an integer pixel unit (1,1). DivX has increased the previous accuracy of using a half pel (1.5, 1.5) to include the ability of using "Quarter Pel" (1.25, 1.75) accuracy with the Codec release. Quarter Pel performs a specific filtering on each block to produce a virtual block that should represent how the original block should appear if it is moved a 1/4 of a pixel unit.

Telecine

A process to bring a 24fps source (usually a movie is shot at that speed) to 29.97fps or 29.97x2 interlaced fields per second.

VOB Files

All DVD movies are stored in so-called VOB files. VOB files usually contain multiplexed Dolby Digital Audio and MPEG-2 video. VOB Files are called as follows: vts_XX_y.vob where XX represents the title and Y the part of the title. There can be 99 titles and 10 parts, although vts_XX_0.vob never contains any video, usually just menu or navigational information.


Supported Formats

You can use the following file formats as source files with Dr. DivX video encoding utility. Once encoded, output files will have .avi file name extension.

File name extension

File type

Notes

.vob

MPEG2 video file

VOB files must be stored on a local hard drive.

.mpg

MPEG1 and MPEG2 video file

.mpeg

MPEG1 and MPEG2 video file

.avi

.avs

AVISynth Script file format

.wmv

Windows Media Files

.divx

DivX Encoded files

.wav

.mp3

Audio files

These are the audio files formats that can be multiplexed with the selected video file.